Bug 1045877 - File conflicts between dbus-doc.noarch and dbus.x86_64 1:1.6.12-7.fc20
Summary: File conflicts between dbus-doc.noarch and dbus.x86_64 1:1.6.12-7.fc20
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1137577 (view as bug list)
Depends On:
Blocks: F20UnversionedDocDirs
TreeView+ depends on / blocked
 
Reported: 2013-12-22 18:35 UTC by Hans Ulrich Niedermann
Modified: 2015-01-07 09:41 UTC (History)
11 users (show)

Fixed In Version: dbus-1.6.28-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-07 09:41:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Hans Ulrich Niedermann 2013-12-22 18:35:01 UTC
Description of problem:

  "yum update" fails, reporting a number of file conflicts between
  dbus-doc-1:1.6.12-7.fc20.noarch and dbus-1:1.6.12-7.fc20.x86_64
  when updating from 

    dbus-1.6.12-1.fc20.x86_64
    dbus-doc-1.6.12-1.fc20.noarch

Version-Release number of selected component (if applicable):

  1:1.6.12-7.fc20

How reproducible:

  100%

Steps to Reproduce:
1. yum update

Actual results:

Transaction check error:
  file /usr/share/doc/dbus/api/dbus-arch-deps_8h_source.html conflicts between attempted installs of dbus-doc-1:1.6.12-7.fc20.noarch and dbus-1:1.6.12-7.fc20.x86_64
  file /usr/share/doc/dbus/api/dbus-marshal-basic_8c_source.html conflicts between attempted installs of dbus-doc-1:1.6.12-7.fc20.noarch and dbus-1:1.6.12-7.fc20.x86_64
  file /usr/share/doc/dbus/api/dbus-marshal-byteswap_8c_source.html conflicts between attempted installs of dbus-doc-1:1.6.12-7.fc20.noarch and dbus-1:1.6.12-7.fc20.x86_64
  file /usr/share/doc/dbus/api/dbus-marshal-recursive-util_8c_source.html conflicts between attempted installs of dbus-doc-1:1.6.12-7.fc20.noarch and dbus-1:1.6.12-7.fc20.x86_64
  file /usr/share/doc/dbus/api/dbus-message-util_8c_source.html conflicts between attempted installs of dbus-doc-1:1.6.12-7.fc20.noarch and dbus-1:1.6.12-7.fc20.x86_64
  file /usr/share/doc/dbus/api/dbus-sysdeps-util-win_8c_source.html conflicts between attempted installs of dbus-doc-1:1.6.12-7.fc20.noarch and dbus-1:1.6.12-7.fc20.x86_64
  file /usr/share/doc/dbus/api/dbus-sysdeps-win_8c_source.html conflicts between attempted installs of dbus-doc-1:1.6.12-7.fc20.noarch and dbus-1:1.6.12-7.fc20.x86_64
  file /usr/share/doc/dbus/api/dbus-types_8h_source.html conflicts between attempted installs of dbus-doc-1:1.6.12-7.fc20.noarch and dbus-1:1.6.12-7.fc20.x86_64
  file /usr/share/doc/dbus/api/group__DBusTypes.html conflicts between attempted installs of dbus-doc-1:1.6.12-7.fc20.noarch and dbus-1:1.6.12-7.fc20.x86_64

Expected results:

  A successful package update.

Additional info:

Comment 1 Hans Ulrich Niedermann 2013-12-23 19:50:45 UTC
I just removed the old dbus-doc package and then ran a test
which sees "dnf install dbus-doc" succeed where
"yum install dbus-doc" fails.

  1. # yum remove dbus-doc
     [...]
     Complete!

  2. # dnf update
     [... update dbus-* to 1:1.6.12-7.fc20 ...]
     Complete!

  3. # dnf install dbus-doc
     [...]
     Installed:
       dbus-doc.noarch 1:1.6.12-7.fc20
     Complete!
 
  4. # dnf remove dbus-doc
     [...]
     Complete!

  3. # yum install dbus-doc
     [...]
     Transaction check error:
       file /usr/share/doc/dbus/api/dbus-arch-deps_8h_source.html from install of dbus-doc-1:1.6.12-7.fc20.noarch conflicts with file from package dbus-1:1.6.12-7.fc20.x86_64
       file /usr/share/doc/dbus/api/dbus-marshal-basic_8c_source.html from install of dbus-doc-1:1.6.12-7.fc20.noarch conflicts with file from package dbus-1:1.6.12-7.fc20.x86_64
       file /usr/share/doc/dbus/api/dbus-marshal-byteswap_8c_source.html from install of dbus-doc-1:1.6.12-7.fc20.noarch conflicts with file from package dbus-1:1.6.12-7.fc20.x86_64
       file /usr/share/doc/dbus/api/dbus-marshal-recursive-util_8c_source.html from install of dbus-doc-1:1.6.12-7.fc20.noarch conflicts with file from package dbus-1:1.6.12-7.fc20.x86_64
       file /usr/share/doc/dbus/api/dbus-message-util_8c_source.html from install of dbus-doc-1:1.6.12-7.fc20.noarch conflicts with file from package dbus-1:1.6.12-7.fc20.x86_64
       file /usr/share/doc/dbus/api/dbus-sysdeps-util-win_8c_source.html from install of dbus-doc-1:1.6.12-7.fc20.noarch conflicts with file from package dbus-1:1.6.12-7.fc20.x86_64
       file /usr/share/doc/dbus/api/dbus-sysdeps-win_8c_source.html from install of dbus-doc-1:1.6.12-7.fc20.noarch conflicts with file from package dbus-1:1.6.12-7.fc20.x86_64
       file /usr/share/doc/dbus/api/dbus-types_8h_source.html from install of dbus-doc-1:1.6.12-7.fc20.noarch conflicts with file from package dbus-1:1.6.12-7.fc20.x86_64
       file /usr/share/doc/dbus/api/group__DBusTypes.html from install of dbus-doc-1:1.6.12-7.fc20.noarch conflicts with file from package dbus-1:1.6.12-7.fc20.x86_64
     [...]

I am not familiar enough with the differences between yum and dnf to speculate on why dnf appears to succeed installing dbus-doc where yum fails.

However, F20 is supposed to work with yum and thus dbus-doc is broken in F20.

Comment 2 Bruno Wolff III 2013-12-27 15:45:30 UTC
I am seeing this on x86_64, but not on i686.

Comment 3 Ville Skyttä 2014-01-21 23:01:07 UTC
The root issue is that the main dbus package contains all files from dbus-doc due to the package not being adapteed for the F-20 unversioned doc dirs feature. I've fixed this in Rawhide's 1.6.18-3; dbus maintainers, let me know if you'd like me to take care of it for F-20 as well.

Comment 4 ILMostro 2014-01-27 18:23:03 UTC
yeaa...still borked on F20.x86_64; anything yet from the "dbus maintainers" on this?

Comment 5 Márcio 2014-06-15 18:16:18 UTC
I'm stuck here with F20.x86_64 too. What should we do?

Comment 6 stan 2014-07-14 17:32:07 UTC
This still occurs with dbus-doc 1:1.6.12-9.F20.x86_64.  If the workaround with dnf works, it would seem that the checks in dnf aren't as sophisticated as those in yum, so the file conflict slips through.

I think I'll just update by compiling the dbus src.rpm packages from rawhide.  Maybe I'll even get some improved performance.

In another 8 months or so, this won't be an issue, as F20 will be end of life.  Rawhide is already F22, and F21 is on its way to release in a few months, where this is presumably fixed.

Thanks for opening the ticket, as I now know what's going on.

Comment 7 stan 2014-07-14 19:42:32 UTC
I can confirm that the version of dbus in rawhide, dbus-1.8.6-2, compiles and runs fine on F20, and does not have this problem.  I was able to install that version's dbus-doc after updating dbus.

Steps if you want to repeat.
Go to koji and get the src.rpm dbus package.
http://koji.fedoraproject.org/koji/builds?state=1&order=-build_id
Put dbus in the search box, click on the latest dbus, find the src.rpm and click download.

Install rpmbuild and rpmdevtools, if you haven't already.  You will have to run, as user, rpmdev-setuptree to create the rpmbuild directory tree in your home directory.

Go to where you downloaded the dbus src.rpm and run, as user,
rpm -ivh dbus-1.8.6-2.fc22.src.rpm
to put it in your rpmbuild tree.  Make sure you do this as a user, *not* root.

Switch to ~/rpmbuild/SPECS and run, as user,
rpmbuild -bb dbus.spec

Switch to ~/rpmbuild/RPMS/x86_64 and run, as root,
yum -C update <the dbus packages you want to install>

When that's done, switch to ~/rpmbuild/RPMS/noarch and run, as root,
yum -C install dbus-doc<rest of package>

If you have a problem with this dbus on your system, you can, as root, 
yum remove dbus-doc
and then run, as root,
yum downgrade dbus
or do the same thing from another instance of linux with 
chroot /<mount point>/yum remove dbus-doc
chroot /<mount point>/yum downgrade dbus

My F20 is a little customized, since I am running a 3.16 Fedora kernel, and a later version of glibc, 2.19.90, but I don't think that should affect this.

Happy trails.

Comment 8 David King 2014-12-04 13:24:27 UTC
*** Bug 1137577 has been marked as a duplicate of this bug. ***

Comment 9 Wei-Lun Chao 2014-12-09 10:04:03 UTC
Still with dbus-1.6.28-1.fc20 in fedora-updates-testing.
fixed by replacing %doc COPYING with %license COPYING in dbus.spec

Comment 10 Wei-Lun Chao 2014-12-31 02:23:47 UTC
dbus-1.6.28-3.fc20 tested OK.

Comment 11 David King 2015-01-07 09:41:01 UTC
I applied the Rawhide change to F20, and this is now fixed.


Note You need to log in before you can comment on or make changes to this bug.